foster182

Help installing drivers for dvbsky DVB-S PCI on DSM 6.0.2-84

Recommended Posts

Hi, I bought a DVBSky t9580 to use with my HP Microserver Gen8 running DSM 6.0.2-8451 Update 7 baremetal

 

The build i'm using does not have drivers for the card so i will have to install them.

Could anyone advise how to install the drivers?

I've worked through some previous examples and got nowhere so i need to start from scratch.

 

This is the card - http://www.dvbsky.net/Products_T9580.html

 

Linux drivers - http://www.dvbsky.net/Support_linux.html

 

Other info - https://www.linuxtv.org/wiki/index.php/DVBSky_T9580

 

Thank you.

Share this post


Link to post
Share on other sites

maybe open media vault (omv 3.x) is a alternative for you, dvb drivers will already be inside as it is an "full" version linux (dsm/xpenology is more of a appliance) and there are already plugins using dvb (i know there is a vdr plugin)

Share this post


Link to post
Share on other sites

Cheers for the suggestion, but i'm looking for an all in one solution at the moment.

I'm running xpenology for other reasons and it's working great, this is just something additional i would love to get running to complete my needs.

 

Reading up i can see other using have been able to install the driver for simular DVB-S cards including dvbsky models, but when trying there install solution i've got nowhere.

 

http://xpenology.com/forum/viewtopic.php?f=2&t=3066

 

 

maybe open media vault (omv 3.x) is a alternative for you, dvb drivers will already be inside as it is an "full" version linux (dsm/xpenology is more of a appliance) and there are already plugins using dvb (i know there is a vdr plugin)

Share this post


Link to post
Share on other sites

i've compiled drivers for 6.1 lately

with the links you provided it does'nt look too complicated to try it (at least for dsm 6.1, thats the enviroment i have setup, 6.0.2 uses a different kernel and is not on my agenda yet)

 

if the dvb driver works, what software you want to use on synology with it?

Share this post


Link to post
Share on other sites

As far as i can see, for my baremetal install the latest FW available is DSM 6.0.3-8754, i'm running 6.0.2-8451 Update 7.

 

If it's not too much to ask, could you give me a bullet point breakdown on how to compile drivers and install?

Is there even a video tutorial you've worked off to achieve your 6.1 build?

 

My linux experience is basic so understanding how to tackle the alone is difficult, trying to use commands that others have used and the commands are not even in the bloody kernal i'm trying to work with :smile:

 

 

My kernal version is, Linux version 3.10.77 (root@build1) (gcc version 4.9.3 20150311 (prerelease) (crosstool-NG 1.20.0) ) #8451

 

 

Firmware for DVBSKY - http://www.dvbsky.net/download/linux/dv ... are.tar.gz

 

 

Media Build Driver - http://www.dvbsky.net/download/linux/me ... 619.tar.gz

I presume this is the version i need ''media_build-bst-13-140619 (Download) -> 3.5.x ~ 3.13.0''

 

 

So when looking at the readme for the linux driver install, should the below intructions work as straight forward or will i need some modifying for my kernal???

 

---Compile and install driver

1)Enter the source code directory

 

2)Check and choose one of the target systems, run ‘uname -a’ to get os informaton.

./v4l/build_x86.sh if build for 32 bit system os to support multi-standard, include DVB-T,DVB-T2 and DVB-C.

./v4l/build_dvbc_x86.sh if build for 32 bit system os to support DVB-C.

./v4l/build_x64.sh if build for 64 bit system os to support multi-standard, include DVB-T,DVB-T2 and DVB-C.

./v4l/build_dvbc_x64.sh if build for 64 bit system os to support DVB-C.

 

3)Compile the source code:

make

 

4)Install driver, which need super user privilege:

sudo make install

 

5)Install firmware

unzip dvbsky-firmware.tar.gz file, then run bst-firmware.sh

or copy *.fw to /Lib/Firmware.

 

6)Reboot computer.

 

7)Verify the installation is successful or not:

ls /dev/dvb

If the adaptor0 is list here so the driver is installed properly.

 

---FAQ

Situation:

Kernel message when loading the drivers.

"Unknown symbol..."

"Invalid parameter..."

"disagrees about version of symbol..."

Fix:

Step 1)

sudo rm -rf /lib/modules/`uname -r`/kernel/drivers/media/

Step 2)

sudo make install

Step 3)

reboot computer

 

 

 

i've compiled drivers for 6.1 lately

with the links you provided it does'nt look too complicated to try it (at least for dsm 6.1, thats the enviroment i have setup, 6.0.2 uses a different kernel and is not on my agenda yet)

 

if the dvb driver works, what software you want to use on synology with it?

 

I will hopefully when i get the drivers working, use this card with DVBlink server.

I'm already using it on xpenology pulling in station from my hdhomerun.

But i'd like to move other to using the DVB card for satellite and terrestrial.

SOMEDAY!!! :smile:

 

I'm not sure if i will have to configure DVBlink with the DVBSKY card, hopefully once the drivers are installed in xpenology, dvblink should pick up the card.

It was straightforward configure DVKlink with the HDhomerun.

Share this post


Link to post
Share on other sites

Some info on - https://www.linuxtv.org/wiki/index.php/DVBSky_T9580

 

Driver and firmware

 

Following firmware files are needed for version 1: dvb-demod-m88ds3103.fw, dvb-demod-si2168-a30-01.fw and dvb-tuner-si2158-a20-01.fw.

And for version 3: dvb-demod-m88ds3103.fw, dvb-demod-si2168-b40-01.fw

All can be found from OpenELEC firmware tree [1].

As an alternative, you can get the firmware from the producer's site: http://www.dvbsky.net/Support_linux.html

Place the firmware files under /lib/firmware

Share this post


Link to post
Share on other sites
As far as i can see, for my baremetal install the latest FW available is DSM 6.0.3-8754

 

What I am about to say is unrelated to your request but I prefer to warn you before you regret it. DO NOT update to DSM 6.0.3 or you will brick your box.

Share this post


Link to post
Share on other sites

Ha ha, thank you sir.

 

I was skimming over some posts and read that there was issues upgrading, so thank you for the heads up.

 

As far as i can see, for my baremetal install the latest FW available is DSM 6.0.3-8754

 

What I am about to say is unrelated to your request but I prefer to warn you before you regret it. DO NOT update to DSM 6.0.3 or you will brick your box.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now